#ifndef FRIENDS_HPP_INCLUDED
#define FRIENDS_HPP_INCLUDED

#include "../../../Core/Classes/Friend.hpp"
#include <functional>
#include <vector>

namespace Friends
{
    bool IsOpen();
    bool Open(bool UseHotkey = false);
    std::int32_t GetTabHotkey();
    std::vector<Internal::Friend> GetAll();
    std::vector<Internal::Friend> GetAll(const std::function<bool (Internal::Friend&)>& Filter);
}

#endif // FRIENDS_HPP_INCLUDED
